package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Order;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class OrderVo {
    private String orderId;
    private String appName;
    private String goodsName;
    private String specs;
    private Float goodsPrice;
    private Float totalPrice;
    private String state;
    private String userName;
    private String vendorName;
    private LocalDateTime createTime;

    public OrderVo(){}
    public OrderVo(Order order){
        this.orderId = order.getOrderId();
        this.appName = order.getAppName();
        this.goodsName = order.getGoodsName();
        this.specs = order.getSpecs();
        this.goodsPrice = order.getGoodsPrice();
        this.totalPrice = order.getTotalPrice();
        this.state = order.getState();
        this.userName = order.getUserName();
        this.vendorName = order.getVendorName();
        this.createTime = order.getCreateTime();
    }
}
